@extends('views.layouts.master')

@section('content')

<form class="sub inquiry form-prevent-multiple-submits" id="contact-us-form" method="POST" action="{{ route('contact-us-custom.store') }}">
    @csrf
	<div class="container">
		<div class="navi">
			<a href="/"><i class="fa-solid fa-house"></i> 홈</a> > 매매상담 > 상담문의
		</div>
		<div class="title">
			<h2>상담문의</h2>
		</div>
	</div>

	<div class="personal">
		<div class="container">
			<div class="stit">
				<h3>개인정보 입력</h3>
			</div>

			<div class="input_form">
                <div>
					<input type="hidden" name="Pc7" value="상담접수">
				</div>
				<div>
					<label class="need">신청자 이름</label>
					<input type="text" name="Pc1" value="{{ old('Pc1') }}" placeholder="이름을 입력해주세요." required>
				</div>
				<div>
					<label class="need">연락처</label>
					<input type="tel" name="Pc2" value="{{ old('Pc2') }}" placeholder="연락처를 입력해주세요." required>
				</div>
				<div>
					<label class="need">거래 구분</label>
					<label for="sell" class="radio_box">
						<input id="sell" type="radio" name="Pc3" value="매도" {{ old('Pc3') == null || old('Pc3') === '매도' ? 'checked' : '' }}>
						<span></span> 매도
					</label>
					<label for="buy" class="radio_box">
						<input id="buy" type="radio" name="Pc3" value="매수" {{ old('Pc3') === '매수' ? 'checked' : '' }}>
						<span></span> 매수
					</label>

				</div>
				<div>
					<label class="need">회원권 구분</label>
					<select name="Pc4" required>
                        <option value="골프회원권" {{ $siseType === 'golf' || is_null($siseType) ? 'selected' : '' }}>골프회원권</option>
                        <option value="콘도회원권" {{ $siseType === 'condo' ? 'selected' : '' }}>콘도회원권</option>
                        <option value="휘트니스회원권" {{ $siseType === 'fitness' ? 'selected' : '' }}>휘트니스회원권</option>
					</select>
				</div>
				<div>
					<label class="need">회원권명</label>
					<input type="text" name="Pc5" value="{{ old('Pc5', $postTitle ?? '') }}" placeholder="회원권명을 입력해주세요." required>
				</div>
				<div class="price">
					<label class="need">희망 가격</label>
					<input type="tel" name="Pc6" value="{{ old('Pc6') }}" placeholder="희망 가격을 입력해주세요." required> 만원
				</div>
				<div class="request">
					<label>요청 사항</label>
					<textarea name="Pt1" placeholder="요청사항을 입력해주세요." required>{{ old('Pt1') }}</textarea>
				</div>
			</div>
		</div>
	</div>

	<div class="agree">
		<div class="container">
			<div class="stit">
				<h3>개인정보 취급방침</h3>
			</div>
			<div class="term_wrap">
				<pre>
                {!! $policy['PostContents'] ?? '' !!}
개인정보의 보유 및 이용 기간

이용자의 개인정보는 원칙적으로 개인정보의 수집 및 이용목적이 달성되면 즉시 파기합니다.단,다음의 정보에 대해서는 아래의 이유로 명시한 기간까지 보존합니다.

가.회사 내부 방침에 의한 정보 보유 사유
-부정 이용기록
보존 이유:부정 이용 방지
보존 기간: 1년
나.관계법령에 의한 정보 보유 사유
상법,전자상거래 등에서의 소비자보호에 관한 법률 등 관계법령의 규정에 의하여 보존할 필요가 있는 경우 회사는 관계법령에서 정한 일정 기간동안 회원 정보를 보관합니다.이 경우 회사는 보관하는 정보를 그 보관의 목적으로만 이용하며 보존기간은 아래와 같습니다.
-방문에 관한 기록
보존 이유:통신비밀보호법
보존 기간: 3개월
-본인 확인에 관한 기록
보존 이유:정보통신망 이용촉진 및 정보보호 등에 관한 법률
보존 기간: 6개월
-소비자의 불만 또는 분쟁 처리에 관한 기록
보존 이유:전자상거래 등에서의 소비자보호에 관한 법률
보존 기간: 3년
-계약 또는 청약철회 등에 관한 기록
보존 이유:전자상거래 등에서의 소비자보호에 관한 법률
보존 기간: 5년
-대금결제 및 재화 등의 공급에 관한 기록
보존 이유:전자상거래 등에서의 소비자보호에 관한 법률
보존 기간: 5년

개인정보의 파기절차 및 방법

회사는 원칙적으로 개인정보 수집 및 이용목적이 달성된 후에는 해당 정보를 즉시 파기합니다.파기 절차 및 방법은 다음과 같습니다.

-파기 절차
회원님이 회원가입 등을 위해 입력하신 정보는 목적이 달성된 후 별도의DB로 옮겨져(종이의 경우 별도의 서류함)내부 방침 및 기타 관계 법령에 의한 정보보호 사유에 따라(보유 및 이용기간 참조)일정 기간 저장된 후 파기되어집니다.
별도DB로 옮겨진 개인정보는 법률에 의한 경우가 아니고서는 보유 되어지는 이외의 다른 목적으로 이용되지 않습니다.
-파기 방법
전자적 파일형태로 저장된 개인정보는 기록을 재생할 수 없는 기술적 방법을 사용하여 삭제합니다.

쿠키에 의한 개인정보 수집

회사는 귀하의 정보를 수시로 저장하고 찾아내는쿠키(cookie)를 운용합니다.쿠키란 회사의 웹사이트를 운영하는데 이용되는 서버가 귀하의 브라우저에 보내는 아주 작은 텍스트 파일로서 귀하의 컴퓨터 하드디스크에 저장됩니다.회사는 다음과 같은 목적을 위해 쿠키를 사용합니다.

-회원과 비회원의 접속 빈도나 방문 시간 등을 분석하고 이용자의 취향과 관심 분야를 파악하여 타깃(target)마케팅 및 서비스 개편 등의 척도로 활용합니다.
-회사가 진행하는 각종 이벤트에서 귀하의 참여 정도 및 방문 횟수를 파악하여 차별적인 응모 기회를 부여하고 개인의 관심 분야에 따라 차별화된 정보를 제공하기 위한 자료로 이용됩니다.
귀하는 쿠키 설치에 대한 선택권을 가지고 있습니다.따라서,귀하는 웹브라우저에서 옵션을 설정함으로써 모든 쿠키를 허용하거나,쿠키가 저장될 때마다 확인을 거치거나,아니면 모든 쿠키의 저장을 거부할 수도 있습니다.
-쿠키 설정을 거부하는 방법으로는(도구 메뉴의 인터넷 옵션에서 설정)
회원님께서 쿠키 설치를 거부하셨을 경우 회사의 서비스 제공에 어려움이 있습니다.

목적외 사용 및 제3자에 대한 제공 및 공유

회사는 귀하의 동의가 있거나 관계법령의 규정에 의한 경우를 제외하고는 어떠한 경우에도『개인정보의 수집목적 및 이용목적』에서 고지한 범위를 넘어 귀하의 개인정보를 이용하거나 타인 또는 타기업,기관에 제공하지 않습니다.

귀하의 개인정보를 제공하거나 공유하는 경우에는 사전에 귀하에게 제공받거나 공유하는 자가 누구이며 주된 사업이 무엇인지,제공 또는 공유되는 개인정보 항목이 무엇인지,개인정보를 제공하거나 공유하는 목적이 무엇인지 등에 대해 개별적으로 전자우편 또는 서면을 통해 고지한 후 이에 대한 동의를 구합니다.

다만,다음의 경우에는 관계 법령의 규정에 의하여 귀하의 동의 없이 개인정보를 제공하는 것이 가능합니다.


이용자 및 법정대리인의 권리와 그 행사 방법

이용자 및 법정 대리인은 언제든지 등록되어 있는 자신 혹은 당해 만14세 미만 아동의 개인정보를 조회하거나 수정할 수 있으며 가입해지를 요청할 수도 있습니다.

이용자 혹은 만14세 미만 아동의 개인정보 조회,수정을 위해서는개인정보변경(또는회원정보수정등)을 가입해지(동의철회)를 위해서는회원탈퇴를 클릭하여 본인 확인 절차를 거치신 후 직접 열람,정정 또는 탈퇴가 가능합니다.

혹은 개인정보관리 책임자에게 서면,전화 또는 이메일로 연락하시면 즉시 조치합니다.

귀하가 개인정보의 오류에 대한 정정을 요청하신 경우에는 정정을 완료하기 전까지 당해 개인정보를 이용 또는 제공하지 않습니다.또한 잘못된 개인정보를 제3자에게 이미 제공한 경우에는 정정 처리결과를 제3자에게 즉시 통지하여 정정이 이루어지도록 합니다.

회사는 이용자 혹은 법정 대리인의 요청에 의해 해지 또는 삭제된 개인정보는 회사가 수집하는 개인정보의 보유 및 이용기간에 명시된 바에 따라 처리하고 그 외의 용도로 열람 또는 이용할 수 없도록 처리합니다.


개인정보의 관리

귀하의 개인정보를 보호하고 개인정보와 관련한 불만을 처리하기 위하여 케이비회원거래소(주)는 개인정보관리책임자를 두고 있습니다.개인정보와 관련한 문의사항이 있으시면 아래의 개인정보관리 책임자에게 연락주시기 바랍니다.귀하의 문의사항에 신속하고 성실하게 답변해드립니다.

개인정보 관리자:경영지원 조 현 덕
TEL. 02-572-1888
FAX. 02-572-1889
chd1706@naver.com
				</pre>
			</div>
			<div class="agree_check">

				<label for="agree" class="check_box">
				<input id="agree" type="checkbox" required>

					<span></span>
					[필수] 상기 약관을 확인했으며, 개인정보 취급방침에 동의합니다.
				</label>
			</div>
		</div>
	</div>

	<div class="container">
		<div class="guide">※ 모든 항목을 올바르게 입력하셔야 문의하기 버튼이 활성화 됩니다.</div>
	    <div class="captcha_wrap d-flex flex-column">
                    <div id="captcha" class="g-recaptcha mb-3 mb-md-0" data-sitekey="6LdEDgcqAAAAAFB0ti6Jwq1jH8nltyjBIcnqHJ5M"></div>
			<div class="captch_box">
			    <div class="d-flex modal-body px-0 m-auto py-5">
			        <div class="form-group mb-1">
			            <div class="captcha text-center">
			                <span>{!! captcha_img() !!}</span>
			            </div>
			        </div>
			        <div class="form-group d-flex mb-0">
			            <input id="captcha" type="text"
			                class="form-control" required placeholder="문자열 입력" name="captcha">
				        <button type="button" class="btn reload" id="reload">
				            새로고침
				        </button>
				    </div>
				</div>
			</div>
			<div class="btn_wrap">
				<button type="submit" disabled
					class="contact-us-btn btn btn_primary submitForm button-prevent-multiple-submits">
					<i class="spinner fa fa-spinner fa-spin"></i>
					문의하기
				</button>
			</div>
		</div>
	</div>
</form>


@endsection

@push('js')
    {{--    <script src="https://www.google.com/recaptcha/api.js?hl={{ getLocale() }}" async defer></script>--}}
    <script src="https://www.google.com/recaptcha/api.js?hl={{ app()->getLocale() }}" async defer></script>
<script>
        $('#contact-us-form').on('submit', function(event) {
            event.preventDefault()
            event.stopPropagation()

            var v = grecaptcha.getResponse()
            if (v.length == 0) {
                return iziToast.error({ title: 'Error', message: "자동입력방지 기능 - '로봇이 아닙니다.'를 체크해주세요" })
            }

            click_submit_btn(this)
            this.submit()
        });

        $('#contact-us-form input').on('input', function() {
            input_check()

        });

        $('#contact-us-form textarea').on('input', function() {
            input_check()
        });

        function input_check() {
            let check = true
            $('#contact-us-form input').each(function () {
                if ($(this).val() == '') {
                    check = false
                    return false
                }
            })

            $('#contact-us-form textarea').each(function () {
                if ($(this).val() == '') {
                    check = false
                    return false
                }
            })

            $('.contact-us-btn').prop('disabled', ! check)

            return check
        }

        $('input[name=Pc2]').on('input', function() {
            let phoneNumber = $(this).val();
            // Remove any non-numeric characters
            phoneNumber = phoneNumber.replace(/\D/g, '');
            // Limit input to 11 digits
            phoneNumber = phoneNumber.substring(0, 11);
            // Update the input value
            $(this).val(phoneNumber);
        });

        $('#reload').click(function () {
            $.ajax({
                type: 'GET',
                url: '{{ url('reload-captcha') }}',
                success: function (data) {
                    $('#captcha').val('')
                    $(".captcha span").html(data.captcha);
                }
            });
        });

    </script>
@endpush

